FAQ
Hi,

Debugging my segfault problems in another thread, I tried building Embperl
2.0.0 on another box running RHEL4, perl 5.8.5, httpd 2.0.52 (RH version),
and mod_perl 2.0.0. make test fails during the mod_perl tests as follows:

#76 upload.htm... ERR:Internal Server Error
Input: test/html/upload.htm
Output: test/tmp/out.htm
Log: test/tmp/test.log
Testparameter:
noloop = 1
reqbody = Hi there!
query_info = multval=A&multval=B&multval=C&single=S
offline = 0

ERRORS detected! NOT all tests have been passed successfully


Found unexpected output in httpd errorlog:
[Sun Oct 02 07:07:07 2005] [error] [13083]ERR: 24: Error in Perl code: Can't locate Apache/Response.pm in @INC (@INC contains: ....)


Haven't dug any further into this - I assume it's a mod_perl2 issue -
should be using Apache2::Response here shouldn't it?

Cheers,
Gavin



---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org

Search Discussions

  • Gerald Richter at Oct 2, 2005 at 3:58 pm

    Found unexpected output in httpd errorlog:
    [Sun Oct 02 07:07:07 2005] [error] [13083]ERR: 24: Error in
    Perl code: Can't locate Apache/Response.pm in @INC (@INC
    contains: ....)


    Haven't dug any further into this - I assume it's a mod_perl2
    issue - should be using Apache2::Response here shouldn't it?
    It depends on the mod_perl version. Which mod_perl version is installed?

    Gerald



    ** Virus checked by BB-5000 Mailfilter **


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gavin Carr at Oct 2, 2005 at 9:50 pm

    On Sun, Oct 02, 2005 at 05:57:46PM +0200, Gerald Richter wrote:
    Found unexpected output in httpd errorlog:
    [Sun Oct 02 07:07:07 2005] [error] [13083]ERR: 24: Error in
    Perl code: Can't locate Apache/Response.pm in @INC (@INC
    contains: ....)

    Haven't dug any further into this - I assume it's a mod_perl2
    issue - should be using Apache2::Response here shouldn't it?
    It depends on the mod_perl version. Which mod_perl version is installed?
    It was in the email:
    Debugging my segfault problems in another thread, I tried building Embperl
    2.0.0 on another box running RHEL4, perl 5.8.5, httpd 2.0.52 (RH version),
    and mod_perl 2.0.0. make test fails during the mod_perl tests as follows:
    Cheers,
    Gavin


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gerald Richter at Oct 3, 2005 at 4:54 am

    On Sun, Oct 02, 2005 at 05:57:46PM +0200, Gerald Richter wrote:
    Found unexpected output in httpd errorlog:
    [Sun Oct 02 07:07:07 2005] [error] [13083]ERR: 24:
    Error in Perl
    code: Can't locate Apache/Response.pm in @INC (@INC
    contains: ....)

    Haven't dug any further into this - I assume it's a
    mod_perl2 issue
    - should be using Apache2::Response here shouldn't it?
    It depends on the mod_perl version. Which mod_perl version
    is installed?

    It was in the email:
    Debugging my segfault problems in another thread, I tried building
    Embperl 2.0.0 on another box running RHEL4, perl 5.8.5,
    httpd 2.0.52
    (RH version), and mod_perl 2.0.0. make test fails during
    the mod_perl tests as follows:
    Oops, sorry. Yes your are right. I have overseen it yesterday.

    So it really should be Apache2::...

    What is left is CGI.pm, because it's used in the upload test. Mod_perl 2.0.0
    requires CGI.pm >= 3.10

    Gerald




    ---------------------------------------------------------------------------
    Besuchen Sie uns auf der Systems 2005 in München, Halle B2, Stand 704
    ---------------------------------------------------------------------------
    Gerald Richter ecos electronic communication services gmbh
    IT-Securitylösungen * Webapplikationen mit Apache/Perl/mod_perl/Embperl

    Post: Tulpenstrasse 5 D-55276 Dienheim b. Mainz
    E-Mail: richter@ecos.de Voice: +49 6133 939-122
    WWW: http://www.ecos.de/ Fax: +49 6133 939-333
    ---------------------------------------------------------------------------
    ECOS BB-5000 Firewall- und IT-Security Appliance: www.bb-5000.info
    ---------------------------------------------------------------------------



    ** Virus checked by BB-5000 Mailfilter **


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gavin Carr at Oct 3, 2005 at 5:09 am

    On Mon, Oct 03, 2005 at 06:53:38AM +0200, Gerald Richter wrote:
    It depends on the mod_perl version. Which mod_perl version
    is installed?

    It was in the email:
    Debugging my segfault problems in another thread, I tried building
    Embperl 2.0.0 on another box running RHEL4, perl 5.8.5,
    httpd 2.0.52
    (RH version), and mod_perl 2.0.0. make test fails during
    the mod_perl tests as follows:
    Oops, sorry. Yes your are right. I have overseen it yesterday.

    So it really should be Apache2::...

    What is left is CGI.pm, because it's used in the upload test. Mod_perl 2.0.0
    requires CGI.pm >= 3.10
    Yep, I've got 3.10, as shipped with RHEL4.

    So this looks like a bug in the test then?

    Cheers,
    Gavin



    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gerald Richter at Oct 3, 2005 at 5:28 am

    So it really should be Apache2::...

    What is left is CGI.pm, because it's used in the upload
    test. Mod_perl
    2.0.0 requires CGI.pm >= 3.10
    Yep, I've got 3.10, as shipped with RHEL4.

    So this looks like a bug in the test then?
    Not sure. It works for me with very similar versions.

    Could you please run

    make test TESTARGS="-h 76"

    And send me the resulting test/tmp/test.log

    Gerald


    ---------------------------------------------------------------------------
    Besuchen Sie uns auf der Systems 2005 in München, Halle B2, Stand 704
    ---------------------------------------------------------------------------
    Gerald Richter ecos electronic communication services gmbh
    IT-Securitylösungen * Webapplikationen mit Apache/Perl/mod_perl/Embperl

    Post: Tulpenstrasse 5 D-55276 Dienheim b. Mainz
    E-Mail: richter@ecos.de Voice: +49 6133 939-122
    WWW: http://www.ecos.de/ Fax: +49 6133 939-333
    ---------------------------------------------------------------------------
    ECOS BB-5000 Firewall- und IT-Security Appliance: www.bb-5000.info
    ---------------------------------------------------------------------------



    ** Virus checked by BB-5000 Mailfilter **


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gerald Richter at Oct 3, 2005 at 11:46 am

    On Mon, Oct 03, 2005 at 07:28:05AM +0200, Gerald Richter wrote:
    Yep, I've got 3.10, as shipped with RHEL4.

    So this looks like a bug in the test then?
    Not sure. It works for me with very similar versions.

    Could you please run

    make test TESTARGS="-h 76"

    And send me the resulting test/tmp/test.log
    Attached.
    This really looks like a CGI.pm issue. Perl 5.8.5 comes with CGI.pm 3.05.
    Are you really sure you are using 3.10?

    Embperl's Makefile.PL will show you the version it uses.

    Gerald



    ** Virus checked by BB-5000 Mailfilter **


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gavin Carr at Oct 4, 2005 at 2:15 am

    On Mon, Oct 03, 2005 at 01:46:09PM +0200, Gerald Richter wrote:
    On Mon, Oct 03, 2005 at 07:28:05AM +0200, Gerald Richter wrote:
    Yep, I've got 3.10, as shipped with RHEL4.

    So this looks like a bug in the test then?
    Not sure. It works for me with very similar versions.

    Could you please run

    make test TESTARGS="-h 76"

    And send me the resulting test/tmp/test.log
    Attached.
    This really looks like a CGI.pm issue. Perl 5.8.5 comes with CGI.pm 3.05.
    Are you really sure you are using 3.10?

    Embperl's Makefile.PL will show you the version it uses.
    Bah, you're quite right Gerald - it is CGI 3.05 - I must have checked the wrong
    box.

    Is this requirement documented anywhere? I just rebuilt mod_perl using
    mod_perl 2.0.1 and there don't appear to be either any warnings or a documented
    requirement for a newer CGI.

    Would it be worth adding a test to Embperl somewhere to check and flag this
    issue, as it's not at all obvious from the test failure.

    Thanks again for your help.

    Cheers,
    Gavin



    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gerald Richter at Oct 4, 2005 at 3:30 am

    This really looks like a CGI.pm issue. Perl 5.8.5 comes
    with CGI.pm 3.05.
    Are you really sure you are using 3.10?

    Embperl's Makefile.PL will show you the version it uses.
    Bah, you're quite right Gerald - it is CGI 3.05 - I must have
    checked the wrong box.

    Is this requirement documented anywhere? I just rebuilt
    mod_perl using mod_perl 2.0.1 and there don't appear to be
    either any warnings or a documented requirement for a newer CGI.
    I think it's documented somewhere in the document that tell what needs to be
    changed because of the namespace change from Apache to Apache2.
    Would it be worth adding a test to Embperl somewhere to check
    and flag this issue, as it's not at all obvious from the test failure.
    I could add something to the Makefile.PL

    Gerald





    ---------------------------------------------------------------------------
    Besuchen Sie uns auf der Systems 2005 in München, Halle B2, Stand 704
    ---------------------------------------------------------------------------
    Gerald Richter ecos electronic communication services gmbh
    IT-Securitylösungen * Webapplikationen mit Apache/Perl/mod_perl/Embperl

    Post: Tulpenstrasse 5 D-55276 Dienheim b. Mainz
    E-Mail: richter@ecos.de Voice: +49 6133 939-122
    WWW: http://www.ecos.de/ Fax: +49 6133 939-333
    ---------------------------------------------------------------------------
    ECOS BB-5000 Firewall- und IT-Security Appliance: www.bb-5000.info
    ---------------------------------------------------------------------------



    ** Virus checked by BB-5000 Mailfilter **


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupembperl @
categoriesmodperl, perl
postedOct 1, '05 at 9:08p
activeOct 4, '05 at 3:30a
posts9
users2
websiteperl.apache.org

2 users in discussion

Gerald Richter: 5 posts Gavin Carr: 4 posts

People

Translate

site design / logo © 2021 Grokbase